=== debian/changelog ===
kdepim-runtime (4:25.08.3+p24.04+vunstable+git20251204.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:03:20 +0000

kdepim-runtime (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:00 +1000
