=== kioworker/CMakeLists.txt ===
add_subdirectory(akonadi)
