=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicalendar-dev (>= 4:25.11.80~),
-               libakonadicontact-dev (>= 4:25.11.80~),
-               libakonadimime-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicalendar-dev (>= 4:25.11.90~),
+               libakonadicontact-dev (>= 4:25.11.90~),
+               libakonadimime-dev (>= 4:25.11.90~),
                libboost-system-dev,
                libboost-thread-dev,
-               libkcalendarutils-dev (>= 4:25.11.80~),
+               libkcalendarutils-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -30,16 +30,15 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6wallet-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkgapi-dev (>= 25.11.80~),
-               libkidentitymanagement-dev (>= 25.11.80~),
-               libkimap-dev (>= 25.11.80~),
-               libkldap-dev (>= 25.11.80~),
-               libkmailtransport-dev (>= 25.11.80~),
-               libkmbox-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
-#               libkolabxml-dev (>= 1.1~),
+               libkgapi-dev (>= 25.11.90~),
+               libkidentitymanagement-dev (>= 25.11.90~),
+               libkimap-dev (>= 25.11.90~),
+               libkldap-dev (>= 25.11.90~),
+               libkmailtransport-dev (>= 25.11.90~),
+               libkmbox-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libpimcommon-dev (>= 4:25.11.90~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqca-qt6-dev (>= 2.3.7~),
                libsasl2-dev,
